## videoparse

videoparse — Converts stream into video frames

## Properties

gint | alpha-mask | Read / Write
gint | blue-mask | Read / Write
gint | bpp | Read / Write
gint | depth | Read / Write
GstVideoParseEndianness | endianness | Read / Write
GstVideoFormat | format | Read / Write
GstFraction | framerate | Read / Write
gint | green-mask | Read / Write
gint | height | Read / Write
GstFraction | pixel-aspect-ratio | Read / Write
gint | red-mask | Read / Write
gint | width | Read / Write
gboolean | interlaced | Read / Write
gboolean | top-field-first | Read / Write

## Types and Values

struct | GstVideoParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRawParse
                        ╰── GstVideoParse

## Description

Converts a byte stream into video frames.

## Synopsis

### Element Information

plugin | rawparse
author | David Schleef <ds@schleef.org>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | video/x-raw
| video/x-bayer

## Functions

## Types and Values

### struct GstVideoParse

    struct GstVideoParse;

## Property Details

### The `“alpha-mask”` property

      “alpha-mask”               gint

Alpha mask of images in raw stream.

Flags: Read / Write

Default value: 0

### The `“blue-mask”` property

      “blue-mask”                gint

Blue mask of images in raw stream.

Flags: Read / Write

Default value: 255

### The `“bpp”` property

      “bpp”                      gint

Bits per pixel of images in raw stream.

Flags: Read / Write

Allowed values: >= 0

Default value: 24

### The `“depth”` property

      “depth”                    gint

Depth of images in raw stream.

Flags: Read / Write

Allowed values: >= 0

Default value: 24

### The `“endianness”` property

      “endianness”               GstVideoParseEndianness

Endianness of images in raw stream.

Flags: Read / Write

Default value: Little Endian

### The `“format”` property

      “format”                   GstVideoFormat

Format of images in raw stream.

Flags: Read / Write

Default value: GST_VIDEO_FORMAT_I420

### The `“framerate”` property

      “framerate”                GstFraction

Frame rate of images in raw stream.

Flags: Read / Write

### The `“green-mask”` property

      “green-mask”               gint

Green mask of images in raw stream.

Flags: Read / Write

Default value: 65280

### The `“height”` property

      “height”                   gint

Height of images in raw stream.

Flags: Read / Write

Allowed values: >= 0

Default value: 240

### The `“pixel-aspect-ratio”` property

      “pixel-aspect-ratio”       GstFraction

Pixel aspect ratio of images in raw stream.

Flags: Read / Write

### The `“red-mask”` property

      “red-mask”                 gint

Red mask of images in raw stream.

Flags: Read / Write

Default value: 16711680

### The `“width”` property

      “width”                    gint

Width of images in raw stream.

Flags: Read / Write

Allowed values: >= 0

Default value: 320

### The `“interlaced”` property

      “interlaced”               gboolean

True if video is interlaced.

Flags: Read / Write

Default value: FALSE

### The `“top-field-first”` property

      “top-field-first”          gboolean

True if top field is earlier than bottom field.

Flags: Read / Write

Default value: TRUE